Bug 1305058 - [Sat6] hammer content-view filter rule create does not validate input
[Sat6] hammer content-view filter rule create does not validate input
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1316897
  Show dependency treegraph
 
Reported: 2016-02-05 08:47 EST by Stuart Auchterlonie
Modified: 2018-01-30 08:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Auchterlonie 2016-02-05 08:47:19 EST
Description of problem:

There is no validation of rpm packages added to filter rules via hammer

This can be demonstrated using an rpm include filter for a content view

The package name being passed in is not validated. So you can add "rpms"
called "this_does_not_exist"


Version-Release number of selected component (if applicable):

6.1.6

How reproducible:

100%


Steps to Reproduce:
1. Create an rpm include content view filter.
2. Add a non existing package

# hammer --username=admin --password=<password> content-view filter rule create --organization=org-example --content-view='filter test' --content-view-filter='test_filter' --name does_not_exist

Will add packge name "does_not_exist" to the included rpms


Actual results:

See above

Expected results:

There should be some validation that the requested package exists


Additional info:
Comment 5 Bryan Kearney 2016-08-04 16:19:16 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.